org.apache.olingo.odata2.jpa.processor.ref.model

## Class SalesOrderItem

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.model.SalesOrderItem

-     @Entity
      public class SalesOrderItem
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SalesOrderItem()`
    `SalesOrderItem(int quantity, double amount, double discount, Material material)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAmount()`
    `double` | `getDiscount()`
    `Material` | `getMaterial()`
    `double` | `getNetAmount()`
    `int` | `getQuantity()`
    `SalesOrderHeader` | `getSalesOrderHeader()`
    `SalesOrderItemKey` | `getSalesOrderItemKey()`
    `boolean` | `isDelivered()`
    `void` | `setAmount(double amount)`
    `void` | `setDelivered(boolean deliveryStatus)`
    `void` | `setDiscount(double discount)`
    `void` | `setMaterial(Material material)`
    `void` | `setNetAmount(double netAmount)`
    `void` | `setQuantity(int quantity)`
    `void` | `setSalesOrderHeader(SalesOrderHeader salesOrderHeader)`
    `void` | `setSalesOrderItemKey(SalesOrderItemKey salesOrderItemKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SalesOrderItem

          public SalesOrderItem()

    - #### SalesOrderItem

          public SalesOrderItem(int quantity,
                                double amount,
                                double discount,
                                Material material)

  - ### Method Detail

    - #### isDelivered

          public boolean isDelivered()

    - #### setDelivered

          public void setDelivered(boolean deliveryStatus)

    - #### getSalesOrderItemKey

          public SalesOrderItemKey getSalesOrderItemKey()

    - #### setSalesOrderItemKey

          public void setSalesOrderItemKey(SalesOrderItemKey salesOrderItemKey)

    - #### getQuantity

          public int getQuantity()

    - #### setQuantity

          public void setQuantity(int quantity)

    - #### getAmount

          public double getAmount()

    - #### setAmount

          public void setAmount(double amount)

    - #### getDiscount

          public double getDiscount()

    - #### setDiscount

          public void setDiscount(double discount)

    - #### getNetAmount

          public double getNetAmount()

    - #### setNetAmount

          public void setNetAmount(double netAmount)

    - #### getMaterial

          public Material getMaterial()

    - #### setMaterial

          public void setMaterial(Material material)

    - #### getSalesOrderHeader

          public SalesOrderHeader getSalesOrderHeader()

    - #### setSalesOrderHeader

          public void setSalesOrderHeader(SalesOrderHeader salesOrderHeader)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.